org.apache.ignite.internal.processors.cache.persistence.tree.util

## Interface PageHandlerWrapper<R>

Type Parameters:
  `R` - Result type of actual `PageHandler` class.

    public interface PageHandlerWrapper<R>

Wrapper factory for `PageHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`PageHandler<?,R>` `wrap(BPlusTree<?,?> tree, PageHandler<?,R> hnd)` Wraps given `hnd`.

### Method Detail

#### wrap

    PageHandler<?,R> wrap(BPlusTree<?,?> tree,
                          PageHandler<?,R> hnd)

Wraps given `hnd`.

Parameters:
  `tree` - Instance of `BPlusTree` where given is used.
  `hnd` - Page handler to wrap.
Returns:
  Wrapped version of given `hnd`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023